\version "2.18.0"
#(ly:set-option 'point-and-click #f)
\include "deutsch.ly"


%%%%%%%%%%  This provides joint rests 
%%%%%%%%%%  for the voices of the right hand in the realisation 
%%%%%%%%%%  of the figured bass
#(define (rest-score r)
  (let ((score 0)
        (yoff (ly:grob-property-data r 'Y-offset))
        (sp (ly:grob-property-data r 'staff-position)))
    (if (number? yoff)
        (set! score (+ score 2))
        (if (eq? yoff 'calculation-in-progress)
            (set! score (- score 3))))
    (and (number? sp)
         (<= 0 2 sp)
         (set! score (+ score 2))
         (set! score (- score (abs (- 1 sp)))))
    score))

#(define (merge-rests-on-positioning grob)
  (let* ((can-merge #f)
         (elts (ly:grob-object grob 'elements))
         (num-elts (and (ly:grob-array? elts)
                        (ly:grob-array-length elts)))
         (two-voice? (= num-elts 2)))
    (if two-voice?
        (let* ((v1-grob (ly:grob-array-ref elts 0))
               (v2-grob (ly:grob-array-ref elts 1))
               (v1-rest (ly:grob-object v1-grob 'rest))
               (v2-rest (ly:grob-object v2-grob 'rest)))
          (and
           (ly:grob? v1-rest)
           (ly:grob? v2-rest)              
           (let* ((v1-duration-log (ly:grob-property v1-rest 'duration-log))
                  (v2-duration-log (ly:grob-property v2-rest 'duration-log))
                  (v1-dot (ly:grob-object v1-rest 'dot))
                  (v2-dot (ly:grob-object v2-rest 'dot))
                  (v1-dot-count (and (ly:grob? v1-dot)
                                     (ly:grob-property v1-dot 'dot-count -1)))
                  (v2-dot-count (and (ly:grob? v2-dot)
                                     (ly:grob-property v2-dot 'dot-count -1))))
             (set! can-merge
                   (and 
                    (number? v1-duration-log)
                    (number? v2-duration-log)
                    (= v1-duration-log v2-duration-log)
                    (eq? v1-dot-count v2-dot-count)))
             (if can-merge
                 ;; keep the rest that looks best:
                 (let* ((keep-v1? (>= (rest-score v1-rest)
                                      (rest-score v2-rest)))
                        (rest-to-keep (if keep-v1? v1-rest v2-rest))
                        (dot-to-kill (if keep-v1? v2-dot v1-dot)))
                   ;; uncomment if you're curious of which rest was chosen:
                   ;;(ly:grob-set-property! v1-rest 'color green)
                   ;;(ly:grob-set-property! v2-rest 'color blue)
                   (ly:grob-suicide! (if keep-v1? v2-rest v1-rest))
                   (if (ly:grob? dot-to-kill)
                       (ly:grob-suicide! dot-to-kill))
                   (ly:grob-set-property! rest-to-keep 'direction 0)
                   (ly:rest::y-offset-callback rest-to-keep)))))))
    (if can-merge
        #t
        (ly:rest-collision::calc-positioning-done grob))))



%%%%%%%%%%%%%%       MAKROS        %%%%%%%%%%%%%%%%%%%%%%%%%%%%%
tr = ^\markup { \bold {+}}
st = ^\staccatissimo

%  Unterbalken geändert: statt 3 * 2 16-tel nun 2 * 3 16-tel
qbeam = {
  \set subdivideBeams = ##t
  \set Staff.beatLength = #(ly:make-moment 3/16)
  \set Staff.beatLength = #(ly:make-moment 3/8)
}
% Unterbalken gemäß Standard
nbeam = {
  \set Staff.beatLength = #(ly:make-moment 1/8)
  \set subdivideBeams = ##f
}
% Linien im Generalbass ein und ausschalten
lj = \set useBassFigureExtenders = ##t
ln = \set useBassFigureExtenders = ##f

%%%%%%%%%%%%%       ENDE MAKRO     %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


\header {
  title = \markup
    {"Sonate VII." \override #'(font-size . 3)  \raise #2 "e" }
  subtitle = \markup 
    { "aus / du /from \"Sonates en trio\" op. 3 (Paris 1713)"}
  subsubtitle = \markup 
    {"für 3 Altblockflöten / pour 3 flûtes  bec alto / for 3 treblerecorders"}
  instrument = \markup
    { \tiny "Blockflöte 1 / Flûte à bec 1 / Treble recorder 1"}
  composer = \markup  \override #'(baseline-skip . 2) 
  {\right-column     { "\n" "\n" "Louis-Antoine Dornel"
      \tiny "(1685 - nach 1756)" 
%       \tiny "Figured bass arrangement and"
      \tiny "Published by Franz-Rudolf Kuhnen" }
  }
  copyright = 
  \markup  {
    \teeny "Published under Creative Commons Attribution-ShareAlike 3.0 (http://creativecommons.org) 
    -
    http://noten.kuhnen-musik.de (Rev.: 02-20111222)"
  }
}



\paper {
  myStaffSize = #18
  #(define fonts
    (make-pango-font-tree "Times New Roman"
                          "Arial"
                          "Luxi Mono"
                           (/ myStaffSize 18)))
  line-width = 18\cm
  ragged-last-bottom = ##f
}

#(set-default-paper-size "a4")
#(set-global-staff-size 22)


%===================      1, Movement      ==============================
%========================================================================

\score {
  \transpose h d'
<<
  \new ChoirStaff <<
    
    \new Staff
    \include "stimmen/7_1_01-fl.ly"

%     \new Staff
%     \include "stimmen/7_1_02-fl.ly"
% 
%     \new Staff
%     \include "stimmen/7_1_03-fl.ly"
>>

%{
 \new GrandStaff <<
    \include "stimmen/4_1_02-fl.ly"%}
%  >> 
 >>

 \layout { indent = 0  \context {
    \Staff
%    \override TimeSignature.style = #'single-digit
 }}

 \header { 
   piece=   \markup { \left-column {
       \override #'(font-size . 3) \italic "Vivement" }
   }
 }
} 

\pageBreak


%===================      2, Movement      ==============================
%========================================================================

\score {
  \transpose h d'
<<
  \new ChoirStaff <<

    \new Staff
    \include "stimmen/7_2_01-fl.ly"

%     \new Staff
%     \include "stimmen/7_2_02-fl.ly"
%  
%     \new Staff
%     \include "stimmen/7_2_03-fl.ly"
>>

%{
 \new GrandStaff <<
    \include "stimmen/4_1_02-fl.ly"%}
%  >>
 >>

 \layout { indent = 0  \context {
    \Staff
%    \override TimeSignature.style = #'single-digit
 }}

 \header {
   piece=   \markup { \left-column {
       \override #'(font-size . 3) \italic "Lentement" }
   }
 }
}





%===================      3, Movement      ==============================
%========================================================================

\score {
  \transpose h d'
<<
  \new ChoirStaff <<

    \new Staff
    \include "stimmen/7_3_01-fl.ly"

%     \new Staff
%     \include "stimmen/7_3_02-fl.ly"
% 
%     \new Staff
%     \include "stimmen/7_3_03-fl.ly"
>>

%{
 \new GrandStaff <<
    \include "stimmen/4_1_02-fl.ly"%}
%  >>
 >>

 \layout { indent = 0  \context {
    \Staff
    \override TimeSignature.style = #'single-digit
 }}

 \header {
   piece=   \markup { \left-column {
       \override #'(font-size . 3) \italic "Chaconne" }
   }
 }
}

\pageBreak
%===================      4, Movement      ==============================
%========================================================================

\score {
  \transpose h d'
<<
  \new ChoirStaff <<

    \new Staff
    \include "stimmen/7_4_01-fl.ly"

%     \new Staff
%     \include "stimmen/7_4_02-fl.ly"
% 
%     \new Staff
%     \include "stimmen/7_4_03-fl.ly"
>>

%{
 \new GrandStaff <<
    \include "stimmen/4_1_02-fl.ly"%}
%  >>
 >>

 \layout { indent = 0  \context {
    \Staff
%     \override TimeSignature.style = #'single-digit
 }}

 \header {
   piece=   \markup { \left-column {
       \override #'(font-size . 3) \italic "Air en gigue" }
   }
 }
}





%{
convert-ly (GNU LilyPond) 2.18.2  convert-ly: Processing `'...
Applying conversion: 2.15.7, 2.15.9, 2.15.10, 2.15.16, 2.15.17,
2.15.18, 2.15.19, 2.15.20, 2.15.25, 2.15.32, 2.15.39, 2.15.40,
2.15.42, 2.15.43, 2.16.0, 2.17.0, 2.17.4, 2.17.5, 2.17.6, 2.17.11,
2.17.14, 2.17.15, 2.17.18, 2.17.19, 2.17.20, 2.17.25, 2.17.27,
2.17.29, 2.17.97, 2.18.0
%}
